Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi
Retrieves a Unity Catalog MCP service by its full resource name.
Example Usage
The following example retrieves the MCP service named knowledgeTools from the main.default schema:
import * as pulumi from "@pulumi/pulumi";
import * as databricks from "@pulumi/databricks";
const example = databricks.getAiGatewayMcpService({
name: "mcp-services/main.default.knowledge_tools",
});
export const mcpServiceConfig = example.then(example => example.config);
import pulumi
import pulumi_databricks as databricks
example = databricks.get_ai_gateway_mcp_service(name="mcp-services/main.default.knowledge_tools")
pulumi.export("mcpServiceConfig", example.config)
package main
import (
"github.com/pulumi/pulumi-databricks/sdk/go/databricks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := databricks.GetAiGatewayMcpService(ctx, &databricks.LookupAiGatewayMcpServiceArgs{
Name: "mcp-services/main.default.knowledge_tools",
}, nil)
if err != nil {
return err
}
ctx.Export("mcpServiceConfig", example.Config)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Databricks = Pulumi.Databricks;
return await Deployment.RunAsync(() =>
{
var example = Databricks.GetAiGatewayMcpService.Invoke(new()
{
Name = "mcp-services/main.default.knowledge_tools",
});
return new Dictionary<string, object?>
{
["mcpServiceConfig"] = example.Apply(getAiGatewayMcpServiceResult => getAiGatewayMcpServiceResult.Config),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.databricks.DatabricksFunctions;
import com.pulumi.databricks.inputs.GetAiGatewayMcpServiceArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DatabricksFunctions.getAiGatewayMcpService(GetAiGatewayMcpServiceArgs.builder()
.name("mcp-services/main.default.knowledge_tools")
.build());
ctx.export("mcpServiceConfig", example.config());
}
}
variables:
example:
fn::invoke:
function: databricks:getAiGatewayMcpService
arguments:
name: mcp-services/main.default.knowledge_tools
outputs:
mcpServiceConfig: ${example.config}
terraform {
required_providers {
databricks = {
source = "pulumi/databricks"
}
}
}
data "databricks_ai_gateway_mcp_service" "example" {
name = "mcp-services/main.default.knowledge_tools"
}
output "mcpServiceConfig" {
value = data.databricks_ai_gateway_mcp_service.example.config
}
Using getAiGatewayMcpService
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getAiGatewayMcpService(args: GetAiGatewayMcpServiceArgs, opts?: InvokeOptions): Promise<GetAiGatewayMcpServiceResult>
function getAiGatewayMcpServiceOutput(args: GetAiGatewayMcpServiceOutputArgs, opts?: InvokeOutputOptions): Output<GetAiGatewayMcpServiceResult>def get_ai_gateway_mcp_service(name: Optional[str] = None,
provider_config: Optional[GetAiGatewayMcpServiceProviderConfig] = None,
opts: Optional[InvokeOptions] = None) -> GetAiGatewayMcpServiceResult
def get_ai_gateway_mcp_service_output(name: pulumi.Input[Optional[str]] = None,
provider_config: pulumi.Input[Optional[GetAiGatewayMcpServiceProviderConfigArgs]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetAiGatewayMcpServiceResult]func LookupAiGatewayMcpService(ctx *Context, args *LookupAiGatewayMcpServiceArgs, opts ...InvokeOption) (*LookupAiGatewayMcpServiceResult, error)
func LookupAiGatewayMcpServiceOutput(ctx *Context, args *LookupAiGatewayMcpServiceOutputArgs, opts ...InvokeOption) LookupAiGatewayMcpServiceResultOutput> Note: This function is named LookupAiGatewayMcpService in the Go SDK.
public static class GetAiGatewayMcpService
{
public static Task<GetAiGatewayMcpServiceResult> InvokeAsync(GetAiGatewayMcpServiceArgs args, InvokeOptions? opts = null)
public static Output<GetAiGatewayMcpServiceResult> Invoke(GetAiGatewayMcpServiceInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetAiGatewayMcpServiceResult> Invoke(GetAiGatewayMcpServiceInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetAiGatewayMcpServiceResult> getAiGatewayMcpService(GetAiGatewayMcpServiceArgs args, InvokeOptions options)
public static Output<GetAiGatewayMcpServiceResult> getAiGatewayMcpService(GetAiGatewayMcpServiceArgs args, InvokeOptions options)
public static Output<GetAiGatewayMcpServiceResult> getAiGatewayMcpService(GetAiGatewayMcpServiceArgs args, InvokeOutputOptions options)
fn::invoke:
function: databricks:index/getAiGatewayMcpService:getAiGatewayMcpService
arguments:
# arguments dictionarydata "databricks_get_ai_gateway_mcp_service" "name" {
# arguments
}The following arguments are supported:
- Name string
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - Provider
Config GetAi Gateway Mcp Service Provider Config - Configure the provider for management through account provider.
- Name string
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - Provider
Config GetAi Gateway Mcp Service Provider Config - Configure the provider for management through account provider.
- name string
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - provider_
config object - Configure the provider for management through account provider.
- name String
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - provider
Config GetAi Gateway Mcp Service Provider Config - Configure the provider for management through account provider.
- name string
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - provider
Config GetAi Gateway Mcp Service Provider Config - Configure the provider for management through account provider.
- name str
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - provider_
config GetAi Gateway Mcp Service Provider Config - Configure the provider for management through account provider.
- name String
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - provider
Config Property Map - Configure the provider for management through account provider.
getAiGatewayMcpService Result
The following output properties are available:
- Comment string
- (string) - User-provided description
- Config
Get
Ai Gateway Mcp Service Config - (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - Create
Time string - (string) - Time the MCP service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the MCP service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Metastore
Id string - (string) - Metastore hosting the MCP service
- Name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - Update
Time string - (string) - Time the MCP service was last modified
- Updated
By string - (string) - Identity of the last updater
- Provider
Config GetAi Gateway Mcp Service Provider Config
- Comment string
- (string) - User-provided description
- Config
Get
Ai Gateway Mcp Service Config - (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - Create
Time string - (string) - Time the MCP service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the MCP service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Metastore
Id string - (string) - Metastore hosting the MCP service
- Name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - Update
Time string - (string) - Time the MCP service was last modified
- Updated
By string - (string) - Identity of the last updater
- Provider
Config GetAi Gateway Mcp Service Provider Config
- comment string
- (string) - User-provided description
- config object
- (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create_
time string - (string) - Time the MCP service was created
- created_
by string - (string) - Creator identity
- effective_
owner string - (string) - Owner of the MCP service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore_
id string - (string) - Metastore hosting the MCP service
- name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - update_
time string - (string) - Time the MCP service was last modified
- updated_
by string - (string) - Identity of the last updater
- provider_
config object
- comment String
- (string) - User-provided description
- config
Get
Ai Gateway Mcp Service Config - (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time String - (string) - Time the MCP service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the MCP service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id String - (string) - Metastore hosting the MCP service
- name String
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - update
Time String - (string) - Time the MCP service was last modified
- updated
By String - (string) - Identity of the last updater
- provider
Config GetAi Gateway Mcp Service Provider Config
- comment string
- (string) - User-provided description
- config
Get
Ai Gateway Mcp Service Config - (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time string - (string) - Time the MCP service was created
- created
By string - (string) - Creator identity
- effective
Owner string - (string) - Owner of the MCP service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id string - (string) - Metastore hosting the MCP service
- name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - update
Time string - (string) - Time the MCP service was last modified
- updated
By string - (string) - Identity of the last updater
- provider
Config GetAi Gateway Mcp Service Provider Config
- comment str
- (string) - User-provided description
- config
Get
Ai Gateway Mcp Service Config - (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create_
time str - (string) - Time the MCP service was created
- created_
by str - (string) - Creator identity
- effective_
owner str - (string) - Owner of the MCP service
- etag str
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore_
id str - (string) - Metastore hosting the MCP service
- name str
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - update_
time str - (string) - Time the MCP service was last modified
- updated_
by str - (string) - Identity of the last updater
- provider_
config GetAi Gateway Mcp Service Provider Config
- comment String
- (string) - User-provided description
- config Property Map
- (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time String - (string) - Time the MCP service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the MCP service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id String - (string) - Metastore hosting the MCP service
- name String
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - update
Time String - (string) - Time the MCP service was last modified
- updated
By String - (string) - Identity of the last updater
- provider
Config Property Map
Supporting Types
GetAiGatewayMcpServiceConfig
- Include
Tool List<string>Selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - Rate
Limits List<GetAi Gateway Mcp Service Config Rate Limit> - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- Source
Connection GetAi Gateway Mcp Service Config Source Connection - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- Include
Tool []stringSelectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - Rate
Limits []GetAi Gateway Mcp Service Config Rate Limit - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- Source
Connection GetAi Gateway Mcp Service Config Source Connection - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- include_
tool_ list(string)selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate_
limits list(object) - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source_
connection object - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- include
Tool List<String>Selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate
Limits List<GetAi Gateway Mcp Service Config Rate Limit> - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source
Connection GetAi Gateway Mcp Service Config Source Connection - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- include
Tool string[]Selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate
Limits GetAi Gateway Mcp Service Config Rate Limit[] - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source
Connection GetAi Gateway Mcp Service Config Source Connection - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- include_
tool_ Sequence[str]selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate_
limits Sequence[GetAi Gateway Mcp Service Config Rate Limit] - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source_
connection GetAi Gateway Mcp Service Config Source Connection - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- include
Tool List<String>Selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate
Limits List<Property Map> - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source
Connection Property Map - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
GetAiGatewayMcpServiceConfigRateLimit
- Key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - Renewal
Period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - Principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - Requests int
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - Tokens int
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- Key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - Renewal
Period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - Principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - Requests int
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - Tokens int
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal_
period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests number
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens number
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key String
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period String - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal String
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests Integer
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens Integer
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests number
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens number
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key str
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal_
period str - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal str
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests int
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens int
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key String
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period String - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal String
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests Number
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens Number
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
GetAiGatewayMcpServiceConfigSourceConnection
- Is
Deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- Name string
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - Options Dictionary<string, string>
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- Is
Deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- Name string
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - Options map[string]string
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- is_
deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- name string
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - options map(string)
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- is
Deleted Boolean - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- name String
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - options Map<String,String>
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- is
Deleted boolean - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- name string
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - options {[key: string]: string}
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- is_
deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- name str
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - options Mapping[str, str]
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- is
Deleted Boolean - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- name String
- Resource name of the MCP service.
Format:
mcp-services/{catalog}.{schema}.{mcp_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+mcpServiceId; required and immutable on Update/Get/Delete - options Map<String>
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
GetAiGatewayMcpServiceProviderConfig
- Workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- Workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace_
id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id String - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace_
id str - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id String - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
Package Details
- Repository
- databricks pulumi/pulumi-databricks
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
databricksTerraform Provider.
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi